%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qxmpp
Version:	0.9.3
Release:	%mkrel 1
Summary:	XMPP client and server library based on Qt
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/qxmpp-project/qxmpp/
Source0:	https://github.com/qxmpp-project/qxmpp/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	doxygen
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vpx)

%description
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

#----------------------------------------------------

%package -n	%{libname}
Summary:	XMPP client and server library based on Qt
Group:		System/Libraries

%description -n	%{libname}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for QXmpp
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc AUTHORS CHANGELOG README.md
%license LICENSE.LGPL
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------

%package	doc
Summary:	Library documentation for QXmpp
Group:		Documentation
BuildArch:	noarch

%description	doc
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

This package contains library documentation for QXmpp.

%files doc
%doc AUTHORS CHANGELOG README.md
%{_docdir}/%{name}/

#----------------------------------------------------

%prep
%setup -q

%build
%qmake_qt5 \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	QXMPP_USE_SPEEX=1 \
	QXMPP_USE_THEORA=1 \
	QXMPP_USE_VPX=1 \
	QXMPP_USE_DOXYGEN=1

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}



%changelog
* Wed Jun 15 2016 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 1021561
- initial package qxmpp

